=== debian/changelog ===
ros-kinetic-dnn-detect (0.1.0-1xenial) xenial; urgency=high

  * dnn_images_test.cpp - support opencv version 4
  * Noetic support
  * Contributors: Jim Vaughan, Rohan Agrawal, Tim

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 21 Sep 2020 07:00:00 -0000

ros-kinetic-dnn-detect (0.0.3-1xenial) xenial; urgency=high

  * Add optional rotation of image
  * Added one shot mode, which requires a service call to trigger detection.
  * Update README.md
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Fri, 16 Feb 2018 08:00:00 -0000

ros-kinetic-dnn-detect (0.0.2-1xenial) xenial; urgency=high

  * Initial commit
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 03 Dec 2017 08:00:00 -0000
